Subject: Re: Where is libxml2.dll?
From: "Gerrit P. Haase" <[email-masked]>
To: Richard Heintze <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Jul 2004 18:39:07 +0200

Richard wrote:

> I am running Windows 2003 server with on which I have
> installed cygwin within the last month.

> I found a terrific little utility (webdav client) at
> http://www.gohome.org/nd/ which I downloaded and
> compiled (with gcc) with cygwin. At the bash command
> prompt, it appears to work. 

> However, it is intended to be run from emacs. When I
> create a shell with emacs, it starts up a bash shell
> as a sub process and I get the error: "this
> application has failed to start because libxml2.dll
> was not found. Re-installing the application my fix
> this problem.". Well there is no libxml2.dll on my
> system but the command works from the bash command
> prompt! HOw could this be?

It cannot.

> I notice there are libxml2.dll.a and libxml2.a and
> libxml2.la in my /usr/lib directory! This must be the
> one! Why cannot the bash shell find it when run under
> emacs? Do I need to put c:\cygwin\lib in my PATH
> environment variable?

Nope, these are the imoprt library, the static library and the libtool
file for this library.   You linked against another libxml2, maybe in
/usr/local/lib.

Remove this old installation (/usr/local/bin: libxml2.dll,
libxml2-config if present, /usr/local/lib/*xml2*,
/usr/local/lib/pkgconfig/*xml2*, /usr/local/include/libxml2) and install
the Cygwin libxml2 package again, then please try again to build the
application.  Non cygwin packages are usually not supported at this
list.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/